#!/bin/sh
export PATH='/usr/local/libexec/ccache:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: webkit
version: 0.12.6.1
id: webkit-0.12.6.1-eaf690e8a1641415bff2244bbbf0d725

license: LGPL-2.1
copyright: (c) 2001-2013 The Gtk2Hs Team
maintainer: gtk2hs-users@lists.sourceforge.net
stability: provisional
homepage: http://projects.haskell.org/gtk2hs/
package-url:
synopsis: Binding to the Webkit library.
description: WebKit is a web content engine, derived from KHTML and KJS from KDE, and
             used primarily in Apple'\''s Safari browser.  It is made to be embedded in
             other applications, such as mail readers, or web browsers.
             It is able to display content such as HTML, SVG, XML, and others. It also
             supports DOM, XMLHttpRequest, XSLT, CSS, Javascript/ECMAscript and more.
category: Graphics
author: Cjacker Huang, Andy Stewart, Axel Simon
exposed: True
exposed-modules: Graphics.UI.Gtk.WebKit.CacheModel
                 Graphics.UI.Gtk.WebKit.Download
                 Graphics.UI.Gtk.WebKit.GeolocationPolicyDecision
                 Graphics.UI.Gtk.WebKit.HitTestResult
                 Graphics.UI.Gtk.WebKit.NetworkRequest
                 Graphics.UI.Gtk.WebKit.NetworkResponse
                 Graphics.UI.Gtk.WebKit.SecurityOrigin
                 Graphics.UI.Gtk.WebKit.SoupAuthDialog Graphics.UI.Gtk.WebKit.Types
                 Graphics.UI.Gtk.WebKit.WebBackForwardList
                 Graphics.UI.Gtk.WebKit.WebDatabase
                 Graphics.UI.Gtk.WebKit.WebDataSource
                 Graphics.UI.Gtk.WebKit.WebFrame
                 Graphics.UI.Gtk.WebKit.WebHistoryItem
                 Graphics.UI.Gtk.WebKit.WebInspector
                 Graphics.UI.Gtk.WebKit.WebNavigationAction
                 Graphics.UI.Gtk.WebKit.WebPolicyDecision
                 Graphics.UI.Gtk.WebKit.WebResource
                 Graphics.UI.Gtk.WebKit.WebSettings Graphics.UI.Gtk.WebKit.WebView
                 Graphics.UI.Gtk.WebKit.WebWindowFeatures
                 Graphics.UI.Gtk.WebKit.DOM.Attr Graphics.UI.Gtk.WebKit.DOM.BarProp
                 Graphics.UI.Gtk.WebKit.DOM.Blob
                 Graphics.UI.Gtk.WebKit.DOM.CharacterData
                 Graphics.UI.Gtk.WebKit.DOM.Console Graphics.UI.Gtk.WebKit.DOM.Css
                 Graphics.UI.Gtk.WebKit.DOM.CSSRule
                 Graphics.UI.Gtk.WebKit.DOM.CSSRuleList
                 Graphics.UI.Gtk.WebKit.DOM.CSSStyleDeclaration
                 Graphics.UI.Gtk.WebKit.DOM.CSSStyleSheet
                 Graphics.UI.Gtk.WebKit.DOM.CSSValue
                 Graphics.UI.Gtk.WebKit.DOM.Document
                 Graphics.UI.Gtk.WebKit.DOM.DocumentType
                 Graphics.UI.Gtk.WebKit.DOM.DOMApplicationCache
                 Graphics.UI.Gtk.WebKit.DOM.DOMImplementation
                 Graphics.UI.Gtk.WebKit.DOM.DOMMimeType
                 Graphics.UI.Gtk.WebKit.DOM.DOMMimeTypeArray
                 Graphics.UI.Gtk.WebKit.DOM.DOMNamedFlowCollection
                 Graphics.UI.Gtk.WebKit.DOM.DOMPlugin
                 Graphics.UI.Gtk.WebKit.DOM.DOMPluginArray
                 Graphics.UI.Gtk.WebKit.DOM.DOMSelection
                 Graphics.UI.Gtk.WebKit.DOM.DOMSettableTokenList
                 Graphics.UI.Gtk.WebKit.DOM.DOMTokenList
                 Graphics.UI.Gtk.WebKit.DOM.DOMWindow
                 Graphics.UI.Gtk.WebKit.DOM.DOMWindowCSS
                 Graphics.UI.Gtk.WebKit.DOM.Element Graphics.UI.Gtk.WebKit.DOM.Event
                 Graphics.UI.Gtk.WebKit.DOM.EventM Graphics.UI.Gtk.WebKit.DOM.Events
                 Graphics.UI.Gtk.WebKit.DOM.EventTargetClosures
                 Graphics.UI.Gtk.WebKit.DOM.File Graphics.UI.Gtk.WebKit.DOM.FileList
                 Graphics.UI.Gtk.WebKit.DOM.History
                 Graphics.UI.Gtk.WebKit.DOM.HTMLAnchorElement
                 Graphics.UI.Gtk.WebKit.DOM.HTMLAppletElement
                 Graphics.UI.Gtk.WebKit.DOM.HTMLAreaElement
                 Graphics.UI.Gtk.WebKit.DOM.HTMLBaseElement
                 Graphics.UI.Gtk.WebKit.DOM.HTMLBaseFontElement
                 Graphics.UI.Gtk.WebKit.DOM.HTMLBodyElement
                 Graphics.UI.Gtk.WebKit.DOM.HTMLBRElement
                 Graphics.UI.Gtk.WebKit.DOM.HTMLButtonElement
                 Graphics.UI.Gtk.WebKit.DOM.HTMLCollection
                 Graphics.UI.Gtk.WebKit.DOM.HTMLDirectoryElement
                 Graphics.UI.Gtk.WebKit.DOM.HTMLDivElement
                 Graphics.UI.Gtk.WebKit.DOM.HTMLDListElement
                 Graphics.UI.Gtk.WebKit.DOM.HTMLDocument
                 Graphics.UI.Gtk.WebKit.DOM.HTMLElement
                 Graphics.UI.Gtk.WebKit.DOM.HTMLFieldSetElement
                 Graphics.UI.Gtk.WebKit.DOM.HTMLFontElement
                 Graphics.UI.Gtk.WebKit.DOM.HTMLFormElement
                 Graphics.UI.Gtk.WebKit.DOM.HTMLFrameElement
                 Graphics.UI.Gtk.WebKit.DOM.HTMLFrameSetElement
                 Graphics.UI.Gtk.WebKit.DOM.HTMLHeadElement
                 Graphics.UI.Gtk.WebKit.DOM.HTMLHeadingElement
                 Graphics.UI.Gtk.WebKit.DOM.HTMLHRElement
                 Graphics.UI.Gtk.WebKit.DOM.HTMLHtmlElement
                 Graphics.UI.Gtk.WebKit.DOM.HTMLIFrameElement
                 Graphics.UI.Gtk.WebKit.DOM.HTMLImageElement
                 Graphics.UI.Gtk.WebKit.DOM.HTMLInputElement
                 Graphics.UI.Gtk.WebKit.DOM.HTMLLabelElement
                 Graphics.UI.Gtk.WebKit.DOM.HTMLLegendElement
                 Graphics.UI.Gtk.WebKit.DOM.HTMLLIElement
                 Graphics.UI.Gtk.WebKit.DOM.HTMLLinkElement
                 Graphics.UI.Gtk.WebKit.DOM.HTMLMapElement
                 Graphics.UI.Gtk.WebKit.DOM.HTMLMenuElement
                 Graphics.UI.Gtk.WebKit.DOM.HTMLMetaElement
                 Graphics.UI.Gtk.WebKit.DOM.HTMLModElement
                 Graphics.UI.Gtk.WebKit.DOM.HTMLObjectElement
                 Graphics.UI.Gtk.WebKit.DOM.HTMLOListElement
                 Graphics.UI.Gtk.WebKit.DOM.HTMLOptGroupElement
                 Graphics.UI.Gtk.WebKit.DOM.HTMLOptionElement
                 Graphics.UI.Gtk.WebKit.DOM.HTMLOptionsCollection
                 Graphics.UI.Gtk.WebKit.DOM.HTMLParagraphElement
                 Graphics.UI.Gtk.WebKit.DOM.HTMLParamElement
                 Graphics.UI.Gtk.WebKit.DOM.HTMLPreElement
                 Graphics.UI.Gtk.WebKit.DOM.HTMLQuoteElement
                 Graphics.UI.Gtk.WebKit.DOM.HTMLScriptElement
                 Graphics.UI.Gtk.WebKit.DOM.HTMLSelectElement
                 Graphics.UI.Gtk.WebKit.DOM.HTMLStyleElement
                 Graphics.UI.Gtk.WebKit.DOM.HTMLTableCaptionElement
                 Graphics.UI.Gtk.WebKit.DOM.HTMLTableCellElement
                 Graphics.UI.Gtk.WebKit.DOM.HTMLTableColElement
                 Graphics.UI.Gtk.WebKit.DOM.HTMLTableElement
                 Graphics.UI.Gtk.WebKit.DOM.HTMLTableRowElement
                 Graphics.UI.Gtk.WebKit.DOM.HTMLTableSectionElement
                 Graphics.UI.Gtk.WebKit.DOM.HTMLTextAreaElement
                 Graphics.UI.Gtk.WebKit.DOM.HTMLTitleElement
                 Graphics.UI.Gtk.WebKit.DOM.HTMLUListElement
                 Graphics.UI.Gtk.WebKit.DOM.KeyboardEvent
                 Graphics.UI.Gtk.WebKit.DOM.Location
                 Graphics.UI.Gtk.WebKit.DOM.MediaList
                 Graphics.UI.Gtk.WebKit.DOM.MediaQueryList
                 Graphics.UI.Gtk.WebKit.DOM.MouseEvent
                 Graphics.UI.Gtk.WebKit.DOM.NamedNodeMap
                 Graphics.UI.Gtk.WebKit.DOM.Navigator
                 Graphics.UI.Gtk.WebKit.DOM.Node
                 Graphics.UI.Gtk.WebKit.DOM.NodeFilter
                 Graphics.UI.Gtk.WebKit.DOM.NodeIterator
                 Graphics.UI.Gtk.WebKit.DOM.NodeList
                 Graphics.UI.Gtk.WebKit.DOM.ProcessingInstruction
                 Graphics.UI.Gtk.WebKit.DOM.Range Graphics.UI.Gtk.WebKit.DOM.Ranges
                 Graphics.UI.Gtk.WebKit.DOM.Screen
                 Graphics.UI.Gtk.WebKit.DOM.StyleMedia
                 Graphics.UI.Gtk.WebKit.DOM.StyleSheet
                 Graphics.UI.Gtk.WebKit.DOM.StyleSheetList
                 Graphics.UI.Gtk.WebKit.DOM.Stylesheets
                 Graphics.UI.Gtk.WebKit.DOM.Storage Graphics.UI.Gtk.WebKit.DOM.Text
                 Graphics.UI.Gtk.WebKit.DOM.Traversal
                 Graphics.UI.Gtk.WebKit.DOM.TreeWalker
                 Graphics.UI.Gtk.WebKit.DOM.UIEvent
                 Graphics.UI.Gtk.WebKit.DOM.ValidityState
                 Graphics.UI.Gtk.WebKit.DOM.WebKitNamedFlow
                 Graphics.UI.Gtk.WebKit.DOM.WebKitPoint
                 Graphics.UI.Gtk.WebKit.DOM.XPathExpression
                 Graphics.UI.Gtk.WebKit.DOM.XPathNSResolver
                 Graphics.UI.Gtk.WebKit.DOM.XPathResult
                 Graphics.UI.Gtk.WebKit.DOM.DOMSecurityPolicy
                 Graphics.UI.Gtk.WebKit.DOM.DOMStringList
                 Graphics.UI.Gtk.WebKit.DOM.Geolocation
                 Graphics.UI.Gtk.WebKit.DOM.HTMLCanvasElement
                 Graphics.UI.Gtk.WebKit.DOM.HTMLDetailsElement
                 Graphics.UI.Gtk.WebKit.DOM.HTMLEmbedElement
                 Graphics.UI.Gtk.WebKit.DOM.HTMLKeygenElement
                 Graphics.UI.Gtk.WebKit.DOM.HTMLMarqueeElement
                 Graphics.UI.Gtk.WebKit.DOM.HTMLMediaElement
                 Graphics.UI.Gtk.WebKit.DOM.HTMLVideoElement
                 Graphics.UI.Gtk.WebKit.DOM.MediaError
                 Graphics.UI.Gtk.WebKit.DOM.StorageInfo
                 Graphics.UI.Gtk.WebKit.DOM.TimeRanges
hidden-modules: Graphics.UI.Gtk.WebKit.Internal
                Graphics.UI.Gtk.WebKit.Signals
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.8.3/webkit-0.12.6.1
library-dirs: /usr/local/lib/cabal/ghc-7.8.3/webkit-0.12.6.1
              /usr/local/lib
hs-libraries: HSwebkit-0.12.6.1
extra-libraries: webkitgtk-1.0 gtk-x11-2.0 gdk-x11-2.0
                 pangocairo-1.0 atk-1.0 cairo gdk_pixbuf-2.0 pangoft2-1.0 pango-1.0
                 fontconfig freetype soup-2.4 gio-2.0 gobject-2.0
                 javascriptcoregtk-1.0 glib-2.0 intl
extra-ghci-libraries:
include-dirs: /usr/local/include /usr/local/include/gtk-2.0
              /usr/local/include/atk-1.0 /usr/local/include/cairo
              /usr/local/include/pixman-1 /usr/local/include/gdk-pixbuf-2.0
              /usr/local/include/libpng15 /usr/local/include/pango-1.0
              /usr/local/include/freetype2 /usr/local/include/harfbuzz
              /usr/local/include/libsoup-2.4 /usr/local/include/libxml2
              /usr/local/include/webkitgtk-1.0 /usr/local/include/glib-2.0
includes:
depends: base-4.7.0.1-812360bc88c9859b8259f0d90b6e2faa
         cairo-0.12.5.3-c01df0c51045c960be1afe52ec948f2c
         glib-0.12.5.4-8d38fc790091beced6c3824ddababb7f
         gtk-0.12.5.7-212673007d74de0108fd4d13efcfd1d6
         mtl-2.1.3.1-8bcc0591131896cfc8761a93703d4c61
         pango-0.12.5.3-9a0b11034775e27aad6728abae7e60f1
hugs-options:
cc-options:
ld-options: -pthread
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.8.3/webkit-0.12.6.1/html/webkit.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.8.3/webkit-0.12.6.1/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
